Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.java2d
Class Java2DSVGHandler.Java2DInfo

    java.lang.Object
      org.apache.fop.render.java2d.Java2DSVGHandler.Java2DInfo

Enclosing class:
  Java2DSVGHandler

public static class Java2DSVGHandler.Java2DInfo
extends java.lang.Object

Java2D information structure for drawing the XML document.

Field Summary
`int` | `currentXPosition` see Java2D_XPOS
`int` | `currentYPosition` see Java2D_YPOS
`int` | `height` see Java2D_HEIGHT
`boolean` | `paintAsBitmap`
`Java2DGraphicsState` | `state` see Java2D_STATE
`int` | `width` see Java2D_WIDTH

Constructor Summary
`Java2DSVGHandler.Java2DInfo()`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### state

    public Java2DGraphicsState state

  see Java2D_STATE

### width

    public int width

  see Java2D_WIDTH

### height

    public int height

  see Java2D_HEIGHT

### currentXPosition

    public int currentXPosition

  see Java2D_XPOS

### currentYPosition

    public int currentYPosition

  see Java2D_YPOS

### paintAsBitmap

    public boolean paintAsBitmap

Constructor Detail

### Java2DSVGHandler.Java2DInfo

    public Java2DSVGHandler.Java2DInfo()

Method Detail

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.